// DialogECGSetSTSIO.cpp : 实现文件
//

#include "stdafx.h"
#include "Verbpo.h"
#include "DialogECGSetSTSIO.h"
#include "afxdialogex.h"
#include "UartDataThread.h"

// CDialogECGSetSTSIO 对话框

IMPLEMENT_DYNAMIC(CDialogECGSetSTSIO, CDialogEx)

CDialogECGSetSTSIO::CDialogECGSetSTSIO(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDialogECGSetSTSIO::IDD, pParent)
{
	
}

CDialogECGSetSTSIO::~CDialogECGSetSTSIO()
{
	//delete m_pCECGSTWave;
}

void CDialogECGSetSTSIO::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_EditECGSTISO);
	DDX_Control(pDX, IDC_EDIT2, m_EditECGSTST);
}


BEGIN_MESSAGE_MAP(CDialogECGSetSTSIO, CDialogEx)
	ON_BN_CLICKED(IDOK, &CDialogECGSetSTSIO::OnBnClickedOk)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON_ISO_ST_SET, &CDialogECGSetSTSIO::OnBnClickedButtonIsoStSet)
END_MESSAGE_MAP()


// CDialogECGSetSTSIO 消息处理程序


void CDialogECGSetSTSIO::OnBnClickedOk()
{
	// TODO:  在此添加控件通知处理程序代码
	CDialogEx::OnOK();
}


BOOL CDialogECGSetSTSIO::OnInitDialog()
{
	CString a_cs;
	CDialogEx::OnInitDialog();

	m_pCECGSTWave = new CECGSTWave(291, 300, 0);
	// TODO:  在此添加额外的初始化
	m_pCECGSTWave->Set_UnitLength_Value(820);
	m_pCECGSTWave->Create(NULL, WS_CHILD | WS_VISIBLE | SS_NOTIFY, CRect(5, 5, 296, 305), this, 123);
	m_pCECGSTWave->ShowWindow(SW_SHOW);
	m_pCECGSTWave->set_st_iso(theApp.m_Data->m_i32ParaECGISO, theApp.m_Data->m_i32ParaECGST);
	m_pCECGSTWave->draw_wave();
	m_pCECGSTWave->Invalidate(TRUE);

	a_cs.Format(_T("%d"), theApp.m_Data->m_i32ParaECGISO);
	m_EditECGSTISO.SetWindowTextW(a_cs);

	a_cs.Format(_T("%d"), theApp.m_Data->m_i32ParaECGST);
	m_EditECGSTST.SetWindowTextW(a_cs);


	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常:  OCX 属性页应返回 FALSE
}


void CDialogECGSetSTSIO::OnDestroy()
{
	CDialogEx::OnDestroy();

	// TODO:  在此处添加消息处理程序代码
	m_pCECGSTWave->DestroyWindow();
	delete m_pCECGSTWave;
}


void CDialogECGSetSTSIO::OnBnClickedButtonIsoStSet()
{
	// TODO:  在此添加控件通知处理程序代码
	int a_i32Temp1, a_i32Temp2;
	CString cs;

	m_EditECGSTISO.GetWindowTextW(cs);
	a_i32Temp1 = _ttoi(cs);
	m_EditECGSTST.GetWindowTextW(cs);
	a_i32Temp2 = _ttoi(cs);

	theApp.m_Data->m_CParameterSet.set_ECGISO(a_i32Temp1);
	theApp.m_Data->m_CParameterSet.set_ECGST(a_i32Temp2);

	m_pCECGSTWave->set_st_iso(a_i32Temp2, a_i32Temp1);
	m_pCECGSTWave->draw_wave();
	m_pCECGSTWave->Invalidate(TRUE);

	//向下位机发送 呼吸增益 命令
	((UartDataThread *)theApp.m_pThrdUart)->Send_CMDSTISO(a_i32Temp2, a_i32Temp1);
}
